System.Data 2.0.0.0 System.MarshalByRefObject System.Data.IDbTransaction To be added.

The base class for a transaction.

- Constructor
  To be added.

  Initializes a new object.

  2.0.0.0
- Method
  System.Void To be added.

  Commits the database transaction.

  2.0.0.0
- Property
  System.Data.Common.DbConnection To be added.

  A single application may have multiple data source connections, each with zero or more transactions. This property allows you to determine the connection object associated with a particular transaction.

  Specifies the object associated with the transaction.

  2.0.0.0
- Property
  System.Data.Common.DbConnection To be added.

  A single application may have multiple data source connections, each with zero or more transactions. This property allows you to determine the connection object associated with a particular transaction.

  Specifies the object associated with the transaction.

  2.0.0.0
- Method
  System.Void

  should rollback the transaction. However, the behavior of is provider specific, and should not replace calling .

  Releases the unmanaged resources used by the .

  2.0.0.0
- Method
  System.Void ``

  should rollback the transaction. However, the behavior of is provider specific, and should not replace calling .

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  If true, this method releases all resources held by any managed objects that this references. 2.0.0.0
- Property
  System.Data.IsolationLevel To be added. To be added.

  Specifies the for this transaction.

  2.0.0.0
- Method
  System.Void To be added.

  Rolls back a transaction from a pending state.

  2.0.0.0
- Property
  2.0.0.0
  System.Data.IDbConnection To be added. To be added.

  Gets the object associated with the transaction, or a null reference if the transaction is no longer valid.